/*
 MyCmd.cpp

 Description: Test command function

 Notes:
      AppAbout() is a command function that displays the About box.
      It is provided primarily for test purposes to test the use of
      MFC dialogue boxes and may be removed from the project when no
      longer required.

      Note that, apart from the MFC code, it is essentially the same
      as any other ADS command function.  It has the same function
      'signature' (it takes no arguments and returns an int), may
      return a value to AutoLISP via the standard ads_ret????()
      functions and returns RSRSLT or RSERR, as appropriate, to
      indicate success or failure.

      It should be possible to use existing command functions you
      may have written within this application structure without
      modification.

 Revisions:
      Jun 96  DG  Initial issue
*/



#include "stdafx.h"
#include "resource.h"
#include "AboutDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif


int AppAbout();



int AppAbout()
{
   CAboutDlg dlgAbout;
   dlgAbout.DoModal();

   ads_retvoid();
   return RSRSLT;
}


